Delete business metric
curl --request DELETE \
--url https://api.vantage.sh/v2/business_metrics/{business_metric_token} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/business_metrics/{business_metric_token}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/business_metrics/{business_metric_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "bsnss_mtrc_1234",
"title": "Total Revenue",
"cost_report_tokens_with_metadata": [
{
"cost_report_token": "rprt_1234",
"unit_scale": "per_hundred",
"calculation_type": "unit_cost",
"label": "Gross Margin",
"label_filter": [
""
],
"label_filters": {
"team": [
"platform",
"finops"
],
"environment": [
"production"
]
}
}
],
"import_type": "datadog_metrics",
"integration_token": "<string>",
"created_by_token": "usr_1234",
"cloudwatch_fields": {
"stat": "Average",
"region": "us-east-1",
"namespace": "AWS/EC2",
"metric_name": "CPUUtilization",
"dimensions": [
{
"name": "<string>",
"value": "<string>"
}
],
"label_dimension": "<string>"
},
"datadog_metric_fields": {
"query": "sum:aws.applicationelb.request_count{region:us-east-1}.rollup(avg,daily)"
},
"snowflake_metric_fields": {
"sql_query": "SELECT date, value, label FROM my_metrics_table"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}BusinessMetrics
Delete business metric
Deletes an existing BusinessMetric.
DELETE
/
business_metrics
/
{business_metric_token}
Delete business metric
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
BusinessMetric model
The token of the BusinessMetric.
Example:
"bsnss_mtrc_1234"
The title of the BusinessMetric.
Example:
"Total Revenue"
The tokens for any CostReports that use the BusinessMetric, the unit scale, and label filter.
Show child attributes
Show child attributes
The type of import for the BusinessMetric.
Available options:
datadog_metrics, cloudwatch, snowflake_metrics, metronome_metrics, csv Example:
"datadog_metrics"
The Integration token used to import the BusinessMetric.
The token of the Creator of the BusinessMetric.
Example:
"usr_1234"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I